Summary: Stub rpm to set up LONCAPA dependencies
Name: LONCAPA-prerequisites
Version: 1
Release: 25.sles12.lc
License: GPL
Group: Applications/Internet
URL: www.loncapa.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: apache2 apache2-prefork gd perl perl-GD perl-GD-Barcode perl-GDGraph perl-GD-Graph3d perl-GDTextUtil ImageMagick perl-PerlMagick apache2-mod_perl mysql perl-DBD-mysql perl-DBI perl-Algorithm-Diff perl-Authen-Krb5 perl-Authen-PAM perl-Crypt-DES perl-Crypt-IDEA perl-Crypt-SSLeay perl-Event perl-HTML-Parser_loncapa perl-HTML-Tree perl-IO-Socket-SSL perl-IO-stringy perl-MailTools perl-Math-Cephes perl-Math-Random perl-Net-PH perl-Net-SSLeay perl-OLE-Storage_Lite perl-Parse-RecDescent perl-Pod-POM perl-PostScript-Simple perl-Safe-Hole perl-Spreadsheet-WriteExcel perl-String-CRC32 perl-String-Similarity perl-Text-Aspell perl-Text-Query perl-TimeDate aspell perl-IO-Socket-SSL perl-MIME-Lite perl-MIME-Types texlive zip perl-libwww-perl texlive-latex texlive-multirow texlive-wrapfig texlive-ucs texlive-psnfss texlive-zapfding texlive-symbol texlive-xtab texlive-colortbl texlive-amscls texlive-fancyhdr texlive-dvips-bin texlive-dejavu texlive-dejavu-fonts ghostscript psutils ntp at gnuplot perl-Cache-Memcached memcached mailx wget pwdutils make perl-Date-Manip unzip perl-Expect perl-IO-Tty maxima maxima-exec-clisp perl-DateTime perl-Authen-Captcha perl-XML-DOM perl-File-MMagic perl-RTF-HTMLConverter perl-Image-Size perl-Image-Info perl-Error texlive-acrotex perl-CAM-PDF R-base R-phpSerialize perl-Tie-IxHash-Easy R-alr3 R-car R-Hmisc R-leaps R-lmtest R-qAnalyst R-quadprog R-SuppDists R-zoo perl-XML-LibXML perl-Tree perl-TermReadKey groff perl-Captcha-reCAPTCHA aspell-en aspell-de aspell-es aspell-fr aspell-he aspell-pt aspell-tr ca-certificates ca-certificates-mozilla perl-LWP-Protocol-https perl-aliased perl-JSON-DWIW perl-enum perl-Switch perl-Try-Tiny perl-Crypt-Eksblowfish perl-Net-OAuth perl-Digest-SHA perl-File-Slurp texlive-actuarialangle
# Requirements for compilation of CAPA
Requires: bison flex swig
# Next require is just for installation of pwauth in the install script.
Requires: gcc patch
Requires: gnuplot >= 4.4
Requires: perl-XML-LibXML >= 2.0019
Requires: perl-XML-SAX >= 0.96
Conflicts: mod_throttle mod_bandwidth
# Notes on requirements: Net::SMTP/perl-libnet is provided in perl-5.8.3

%description
LONCAPA-prerequisites configures a system to run LON-CAPA.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README


%changelog
* Fri May 19 2017 Stuart Raeburn <raeburn at lon-capa.org> (1-25)
- Add perl-Crypt-Eksblowfish, perl-Net-OAuth, perl-Digest-SHA,
  perl-File-Slurp and texlive-actuarialangle
- update version dependency for perl-XML-LibXML and perl-XML-SAX
- discontinue dependency on perl-Digest-SHA1 (use perl-Digest-SHA instead).

* Mon Apr 10 2017 Stuart Raeburn <raeburn at lon-capa.org> (1-24)
- Add perl-aliased, perl-JSON-DWIW, perl-enum, perl-Switch 
  and perl-Try-Tiny

* Sun Apr 5 2015 Stuart Raeburn <raeburn at lon-capa.org> (1.23.1)
- Add perl-LWP-Protocol-https

* Fri Jan 2 2015 Stuart Raeburn <raeburn at lon-capa.org> (1.23)
- Initial build for sles12
